Subject: 23.1; compile error regexps for perl test scripts, mark 2

From: Kevin Ryde <[email-masked]>
Date: Sat, 20 Feb 2010 11:15:14 +1100

I eventually got around to revisiting the compile error regexps I made
for perl test scripts in my compilation-perl.el.

I was misguided about the "NOK" business of the perl--Test::Harness one
that's now in emacs.  I believe the three symbols perl--Test,
perl--Test2 and perl--Test::Harness can be replaced by the two simpler
bits of compile.el.perl.fragment below.  compilation.txt fragment below
too, to replace the two sections "* Perl Test module error messages" and
"* Perl Test::Harness output".

2010-02-20  Kevin Ryde  <[email-masked]>

	* progmodes/compile.el (compilation-error-regexp-alist-alist):
	Replace/amend perl--Test, perl--Test2 and perl--Test::Harness with
	better patterns perl--Test and perl--Test-failed.

2010-02-20  Kevin Ryde  <[email-masked]>

	* compilation.txt (Perl Test module, Perl Test::Harness): Replace
	for new perl--Test and perl--Test-failed symbols.

In GNU Emacs 23.1.1 (i486-pc-linux-gnu, GTK+ Version 2.16.5)
 of 2009-09-14 on raven, modified by Debian
configured using `configure  '--build=i486-linux-gnu' '--host=i486-linux-gnu' '--prefix=/usr' '--sharedstatedir=/var/lib' '--libexecdir=/usr/lib' '--localstatedir=/var/lib' '--infodir=/usr/share/info' '--mandir=/usr/share/man' '--with-pop=yes' '--enable-locallisppath=/etc/emacs23:/etc/emacs:/usr/local/share/emacs/23.1/site-lisp:/usr/local/share/emacs/site-lisp:/usr/share/emacs/23.1/site-lisp:/usr/share/emacs/site-lisp:/usr/share/emacs/23.1/leim' '--with-x=yes' '--with-x-toolkit=gtk' '--with-toolkit-scroll-bars' 'build_alias=i486-linux-gnu' 'host_alias=i486-linux-gnu' 'CFLAGS=-DDEBIAN -g -O2' 'LDFLAGS=-g' 'CPPFLAGS=''